//
// Created by Falko Alrik Schmidt on 19.09.23.
//

#include "Ulm_OLED_Display.h"

Ulm_OLED_Display::Ulm_OLED_Display(TwoWire& wire) : SSD1306AsciiWire(), wire(wire) {
    // Nothing more to do here.
}

bool Ulm_OLED_Display::begin() {

    this->wire.begin();
    this->wire.setClock(400000L);
    this->wire.beginTransmission(0x3C);
    bool connected = this->wire.endTransmission() == 0;

    SSD1306AsciiWire::begin(&Adafruit128x64, 0x3C);
    this->setFont(Adafruit5x7);

    return connected;
}
